servo_height=22.6;
servo_width=12.2;
servo_depth=22.8;
servo_ear_depth=4.8;
servo_big_tip_r=6.05;
servo_tip_d=5.8;
servo_little_tip_r=2.8;

module SG90()
{
  translate([-servo_width/2,-16.9,-servo_height]) {
    // body
    cube([servo_width,servo_depth,servo_height]);
    translate([0,-servo_ear_depth,17.6]) {
      // mounting ears
      cube([12.0,32.3,2.4]);
    }
  }
  
  cylinder(r=servo_big_tip_r, h=servo_tip_d, $fn=30);
  translate([0,-servo_big_tip_r,0]) cylinder(r=servo_little_tip_r, h=servo_tip_d, $fn=20);
  // gear
  color("silver") translate([0,0,5.8]) cylinder(r=2.275,h=3.9);
}

//SG90();